:root{
    --primaryButtonColor:#4FBCD5;
    --borderColor:#585a5c;
    --textColor:#000000;
    --arrowColor:#000000;
    --hoverButtonBgColor:#23ACCB;
    --dropDownHoverColor:#585a5c;
    --dropDownSelectedColor:#4FBCD5;
    --dropDownMenuColor:#ffffff;
    --paginatehoverTextColor:#ffffff;
    --paginatehoverBgColor:#585858;
    --tableIconBgColor:#29a80a;
    --tableIconTextColor:#ffffff;
    --primaryBackgroundColor:#F2F4F8;
    --primaryCardBackground:#FFFFFF;
    --bannerTextColor:#FFFFFF;
    --bannerBgColor:#4FBCD5;
    --primaryButtonTextColor:#FFFFFF;
}
.table-striped tbody tr:nth-child(odd) td {
    font-family: 'Lucida Console', Monaco, monospace;

}

.table-striped tbody tr:nth-child(even) td {
    font-family: 'Lucida Console', Monaco, monospace;

}

tbody {
    font-weight: bold;
}

.pagination .page-item.active .page-link {
    background-color: var(--primaryButtonColor) !important;
    border-color: var(--borderColor) !important;
}

div.dataTables_wrapper div.dataTables_paginate ul.pagination .page-item.active .page-link:focus {
    background-color: var(--primaryButtonColor);
}

.pagination .page-item.active .page-link:hover {
    background-color: var(--primaryButtonColor);

}

.pagination .page-item.active .page-link{
    border:0 !important;
    color: var(--paginatehoverTextColor) !important;
}

.page-link {
    color: var(--textColor) !important;
}

.page-link:hover {
    background-color: var(--paginatehoverBgColor) !important;
    border-color: var(--borderColor) !important;
}

.bootstrap-select > .dropdown-toggle[title='NONE SELECTED'],
.bootstrap-select > .dropdown-toggle:hover[title='NONE SELECTED'],
.bootstrap-select > .dropdown-toggle:focus[title='NONE SELECTED'],
.bootstrap-select > .dropdown-toggle:active[title='NONE SELECTED'] {
    color: var(--textColor);
}

.dataTables_filter .form-control:valid {
    color: var(--textColor);
}

.filter-option-inner-inner {
    color: var(--textColor) !important;
    font-weight: bold;
}
.form-control {
    color: var(--textColor);
}
.submitButton {
    background-color: var(--primaryButtonColor);
    margin-left: 400px;
    line-height: 100%;
    width: auto;
    height: 28px;
    font-size: 12px;
    border: 1px solid var(--textColor) !important;
    padding: 6px 10px;
    font-weight: bold;
    font-family: "Raleway", "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.fstChoiceItem {
    font-size: 14px;
}

.card [class*="card-header-"] .card-icon,
.card [class*="card-header-"] .card-text {
    border-radius: 3px;
    padding: 15px;
    margin-top: 5px;
    margin-right: 15px;
    float: left;
    height: 40px;
    width: 40px;
}

.card .card-header.card-header-icon i,
.card .card-header.card-header-text i {
    width: 33px;
    height: 33px;
    text-align: center;
    line-height: 33px;
    margin-left: -12px;
    margin-top: -10px;
}

.dropdown-toggle {
    height: 30px;
    padding: 7px 15px;
    width: auto;
}

.textArea {
    resize: none;
    overflow-y: auto;
    min-height: 10px;
    max-height: 50px;
    cursor: auto;
    background-color: transparent;
    color: var(--textColor);
    width: 100%;
    margin-top: -60px;
    margin-left: 0px;
    border-radius: 10px;
    padding: 10px 10px;
    border-color: var(--borderColor);

}
.filterButton {
    color: white;
    outline: none !important;
    text-transform: capitalize;
    text-decoration: none;
    border: 1px solid var(--borderColor) !important;
    cursor: pointer;
    width: auto;
    height: 28px;
    padding: 2px 10px;
    font-size: 14px;
    border-radius: 10px;
    margin-top: -105px;
    font-family: "Raleway", "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
}

#countries .fstMultipleMode .fstControls {
    width: 530px;
    padding-left: 8px;
}

.device .fstMultipleMode .fstControls {
    width: 240px;
}

#datacolumns .fstMultipleMode .fstControls {
    width: 300px;
    padding-left: 8px;

}

#datacolumnsPub .fstMultipleMode .fstControls,
#dataCountriesPub .fstMultipleMode .fstControls,
#payoutModelSelectBox .fstMultipleMode .fstControls{
    width: 300px;
    padding-left: 8px;

}

.macroButton {
    background-color: transparent;
    color: var(--textColor) !important;
    cursor: pointer;
    border: 1px solid var(--borderColor);
    border-radius: 10px;
    width: auto;
    height: 28px;
    padding: 5px 10px;
    font-size: 12px;
    font-family: "Raleway", "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.bootstrap-select .btn {
    background-color: transparent;
    border-radius: 10px;
    border-top: none;
    border-bottom: none;
    border-right: none;
    color: white;
    font-weight: bold;
    font-size: 14px;
    height: 28px;
    padding: 6px 15px;
    margin-top: 12px;
    margin-left: 0px;
    font-family: "Raleway", "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.bootstrap-select .dropdown-menu {
    margin: 15px 0 0;
}

.bootstrap-select .dropdown-menu .dropdown-item:hover {
    background-color: var(--dropDownHoverColor);
}
.show>.dropdown-toggle {
    background-color:transparent !important;
}

.filter-option {
    background-color: transparent;
    border: 1px solid var(--borderColor);
    border-radius: 10px;
    font-size: 12px;
    padding: 5px 10px !important;
}

.selected {
    background: transparent !important;
    color: var(--dropDownSelectedColor) !important;
}

/*datatable_length set styles*/
.dataTables_length .form-control {
    background-color: transparent;
    color: var(--textColor);
    height: 20px !important;
    width: 45px !important;
    border: 1px solid var(--borderColor);;
    border-radius: 8px;
    padding: 2px 5px;
    cursor: pointer;
}

#datatables_length select {
    background: transparent;
    padding: 0px 8px;
    width: 45px !important;

}
#minimizeSidebar{
    background-color:var(--primaryButtonColor);
}

#datatables_length option {
    background: transparent;
    color:var(--textColor);
}

/*datatable_length set arrow images*/
.dataTables_length::after {
    content: " \f0dd";
    font-family: "FontAwesome";
    color: var(--arrowColor);
    position: relative;
    top: -2px;
    right: 60px;
    pointer-events: none;
}

/*button copy styles*/
.btnCopy {
    width: 20px;
    height: 20px;
    padding: 0 2px;
    background-color: transparent;
    cursor: pointer;
    border: 0;
    color: var(--textColor);
    font-size: 10px;
}

.fstElement {
    font-size: 1.2em;
}

.fstToggleBtn {
    min-width: 16.5em;
}

.submitBtn {
    display: none;
}

.fstMultipleMode {
    display: block;
}

.fstMultipleMode .fstControls {
    width: 100%;
}

label {
    color: #fff;
    font-weight: bold;
}

.check {
    background-color: #2A2D35;
}

#tableBody .dataTables_length {
    display: none;


}

#tableBody2 .dataTables_length {
    display: none;
}
#tableBody2 td, #tableBody td{
    border-bottom: 0;
}

.check {
    background-color: white;
}

#dataTables {
    white-space: nowrap;
}

#dataTables th, td {
    white-space: nowrap;
    color:var(--textColor);
}

table, th {
    border-bottom: 1px solid var(--borderColor);
    font-weight:bold;
}

td{
    border-bottom: 1px solid var(--borderColor);
    font-weight:200;
    height: 40px;
}

.cardButton {
    background-color: var(--primaryButtonColor);
    position: absolute;
    font-size: 14px;
    height: 28px;
    padding: 3px 15px;
    border: 1px solid var(--borderColor) !important;
    margin-top: 15px;
    margin-left: 5px;
    font-family: "Raleway", "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.iconTable {
    background-color: var(--tableIconBgColor);
    border-radius: 15px;
    padding: 4px 5px;
    color: var(--tableIconTextColor);
    height: 27px;
    width: 27px;
    font-size: 18px
}

#datatables_filter {
    display: none;
}

.dataTables_length .btn {
    height: 20px;
    padding: 4px 10px;
}

#datatables_paginate {
    margin-top: 10px;
}
/*Bulk Action Button*/
.bulkSubmit {
    background-color: transparent;
    color: var(--textColor);
    outline: none !important;
    text-decoration: none;
    border: 1px solid var(--textColor);
    cursor: pointer;
    width: auto;
    height: 28px;
    padding: 2px 10px;
    font-size: 14px;
    margin-left: 30px;
    font-family: "Raleway", "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.statusButton {
    background-color: transparent;
    width: auto;
    color: var(--textColor);
    font-weight: bold;
    cursor: pointer;
    height: 25px;
    border-radius: 15px;
    font-size: 14px;
    border: 1px solid var(--borderColor);
}

.accessStatusButton {
    background-color: transparent;
    width: auto;
    color: var(--textColor);
    font-weight: bold;
    cursor: pointer;
    height: 25px;
    border-radius: 15px;
    font-size: 14px;
    border: 1px solid var(--borderColor);
}

#fontStyle {
    margin-left: 0;
    font-size: 14px;
    width: auto;
    font-weight: bold;
}

#publisherSelect .fstMultipleMode .fstControls {
    width: 730px;
    padding-left: 8px;
}

#publisherCampSelect .fstMultipleMode .fstControls {
    width: 300px;
    padding-left: 8px;
}

#blockPubs .fstMultipleMode .fstControls {
    width: 950px;
    padding-left: 8px;
}

#blockedPubsId .fstMultipleMode .fstControls {
    width: 830px;
    padding-left: 8px;
    border: 1px solid var(--borderColor);
}

.offerButton {
    cursor: pointer;
    text-decoration: none;
    background-color: transparent;
    border: 1px solid var(--borderColor);
    width: auto;
    outline: none !important;
    font-size: 15px;
    color: var(--textColor);
    height: 28px;
    padding: 3px 10px;
    border-radius: 15px;
    font-weight: bold;
    margin-left: 5px;
    font-family: "Raleway", "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.offerButton:hover, .statusButton:hover, .accessStatusButton:hover {
    border-color: var(--borderColor) !important;
    background-color: var(--primaryButtonColor) !important;
    color: var(--primaryButtonTextColor) !important;
}

.cardDiv {
    background-color: transparent;
    width: 100%;
    height: 20px;
    color: white;
}

.cardSize {
    position: absolute;
    height: 40px;
    width: 40px;
    margin-top: -6px;
    border-radius: 2px;
    margin-left: 3px;
    background-color: var(--primaryButtonColor);
}

.iconSize {
    margin-top: 7px;
    margin-left: 6px;
    font-size: 28px;
}

.cardHeading {
    font-family: Times New Roman, Times, serif;
    font-weight: bold;
    position: absolute;
    margin-top: 3px;
    margin-left: 55px;
    font-size: 28px;
    color:var(--textColor);
}

.dataTables_length {
    margin-left: 10px;
}

table, table tbody {
    font-size: 16px
}

.dataTables_length label {
    color: #fff;
}

.textLine {
    color: grey;
    margin-left: -172px;
    font-size: 25px;
}

.dataTables_wrapper .dataTables_processing {
    position: absolute;
    top: 70%;
    left: 50%;
    width: 30%;
    height: 10px;
    margin-left: -20%;
    margin-top: -25px;
    padding-top: 20px;
    text-align: center;
    font-size: 1.2em;
    background: none;
    border: 0;
}

.select2-results__options {
    color: black;
}

#statusOff {
    background-color: #2A2D35;
    color: white;
    border: 0 solid;
    cursor: pointer;
    /*width:70px;*/
}

#statusOff option:checked {
    background-color: #FD9811;
}

#statusOff select {
    background: transparent
}

#statusOff option {
    color: #fff;
}

.inputText {
    background-color: transparent;
    width: 100%;
    height: 40px;
    padding: 2px 10px;
    color: var(--textColor);
    border: 1px solid var(--textColor);
    border-radius: 10px;
}

.macroButton:hover, .bulkSubmit:hover {
    border-color: var(--borderColor);
    background-color: var(--primaryButtonColor);
    color: var(--primaryButtonTextColor) !important;
}

body {
    zoom: 85%;
    height: 100% !important;
    -moz-transform: scale(1);
    -moz-transform-origin: 0 0;
}

.content {
    margin-top: 70px !important;
}

.btnDatatable {
    float: right;
    border: 1px solid var(--borderColor) !important;
    padding: 4px 18px;
    font-size: 14px;
}

.dt-buttons {
    position: absolute;
    float: right !important;
    margin-top: -83px;
    right: 120px !important;
}

.buttons-csv:hover, .buttons-pdf:hover, .buttons-excel:hover, .buttons-print:hover {
    background-color: var(--hoverButtonBgColor) !important;
    color: var(--primaryButtonTextColor) !important;
}
.reportFilterButton {
    position: absolute;
    margin-top: -45px;
    width: auto;
    height: 32px;
    padding: 2px 5px;
    border: 1px solid #FD9811;
    background-color: transparent;
}

#tooltipHide .note-toolbar {
    display: none;
    background-color: transparent;
    border-bottom: 0;
}

#tooltipHide .note-btn-group .note-btn {
    background-color: transparent;
    color: var(--textColor);
}

#tooltipHide .note-editor.note-frame .note-editing-area .note-editable[contenteditable=false] {
    background-color: transparent;
    border: 1px solid var(--borderColor);
    color: var(--textColor);
    padding: 10px;
    height: 150px;
    overflow-y: scroll;
    word-wrap: break-word
}

.note-resizebar {
    display: none;
}

#tooltipHide .note-editor.note-airframe .note-status-output, .note-editor.note-frame .note-status-output {
    border: none;
}

#tooltipEditOffer .note-toolbar {
    background-color: transparent;
    border: 1px solid var(--borderColor);
}

#tooltipEditOffer .note-btn-group .note-btn {
    background-color: transparent;
    color: var(--textColor);;
    border-color: var(--borderColor);
}
.btn-fullscreen, .note-insert, .note-table{
    display:none !important;
}
.note-style .note-btn{
    width:40px;
}
#tooltipEditOffer .note-editor.note-frame .note-editing-area .note-editable[contenteditable=true] {
    background-color: transparent;
    border: 1px solid var(--borderColor);;
    color: var(--textColor);;
    padding: 10px;
    height: 150px;
    overflow-y: scroll;
    word-wrap: break-word
}

/*check Box style*/
.list label {
    position: relative;
    display: block;
    margin: 0;
    color: var(--textColor);
    font-size: 14px;
    cursor: pointer;
}

.list input[type="checkbox"] {
    -webkit-appearance: none;
}

.list i {
    position: absolute;
    top: 5px;
    display: inline-block;
    width: 16px;
    height: 16px;
    border: 1px solid var(--borderColor);
}

.list input[type="checkbox"]:checked ~ i {
    top: 3px;
    border-top: none;
    border-right: none;
    border-left: 2px solid var(--dropDownSelectedColor);
    border-bottom: 2px solid var(--dropDownSelectedColor);
    margin: 5px 0;
    height: 8px;
    width: 18px;
    font-weight: bold;
    transform: rotate(-45deg);
}

.list span {
    position: relative;
    left: 30px;
    top: 5px;
    font-weight: bold;
    transition: 0.5s;
}

.list span:before {
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 1px;
    background: var(--dropDownSelectedColor);
    transform: translateY(-50%) scaleX(0);
    transform-origin: right;
    transition: transform 0.5s;
}

.list input[type="checkbox"]:checked ~ span:before {
    transform: translateY(-50%) scaleX(1);
    transform-origin: left;
    transition: transform 0.5s;
}

.list input[type="checkbox"]:checked ~ span {
    color: var(--textColor);
}

/*end checkBox style*/
/*navigation bar*/
.moving-tab {
    background-color: var(--primaryButtonColor) !important;
    border: 1px solid var(--borderColor);
    margin-top: 1px;
    color: #FFFFFF;
    font-weight: bold;
}

.dataTables_scroll {
    overflow: auto;
}

/*close modal style*/
.modalClose {
    position: absolute;
    top: 0;
    right: 0;
    height: 45px;
    width: 50px;
    background-color: var(--primaryButtonColor);
    line-height: 40px;
    color: #fff;
    font-size: 18px;
    border-radius: 0 5px 0 50px;
    padding-left: 25px !important;
    cursor: pointer;
    z-index: 5;
}
.nav-link i{
    font-size:22px !important;
}
.nav-link p,.nav-link span{
    font-size:1.2em !important;
    margin-top:2px !important;
    -moz-transform: scale(0.8) !important;
    -moz-transform-origin: 0 0 !important;

}
.bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
    width: auto;
}
.offerDetailsUnApproved .dataTables_filter {
    position: absolute;
    z-index: 5;
    margin-top: -40px;
    margin-left: -25px !important;
}
.offerDetailsApproved .dataTables_filter{
    position: absolute;
    z-index: 5;
    margin-top: -40px;
    margin-left: -20px !important;
}
.offerDetailsApproved .cardButton, .offerDetailsUnApproved .cardButton{
    margin-top:-16px !important;
}
.offerListDataColumn .fstMultipleMode .fstControls{
    width:320px !important;
}
.offerListStatus .filter-option, .offerListStatus .dropdown-toggle{
    width:180px !important;
}
.note-dropdown-menu{
    background-color:var(--dropDownMenuColor) !important;
    color:var(--textColor) !important;
}
.note-dropdown-item{
    color:var(--textColor) !important;
}
.note-btn{
   padding:2px 5px !important;
}
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

.hourselect, .minuteselect{
    background:transparent !important;
    color:var(--textColor);
    height:30px;
    margin-top:5px !important;
    width:44px !important;
    padding:0 14px !important;
}
.hourselect option, .minuteselect option{
    color:var(--textColor);
}
.filter-option, .dropdown-toggle{
    background-color: transparent;
    color: var(--textColor) !important;
    border:1px solid var(--borderColor);
}

.bmd-form-group .form-control{
    border-bottom:1px solid var(--textColor);
}

.boxy {
    background: var(--primaryCardBackground);
    background: -moz-linear-gradient(top, var(--primaryCardBackground) 1%, var(--primaryCardBackground) 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(1%,var(--primaryCardBackground)), color-stop(100%, var(--primaryCardBackground)));
    background: -webkit-linear-gradient(top, var(--primaryCardBackground) 1%, var(--primaryCardBackground) 100%);
    background: -o-linear-gradient(top, var(--primaryCardBackground) 1%, var(--primaryCardBackground) 100%);
    background: -ms-linear-gradient(top, var(--primaryCardBackground) 1%, var(--primaryCardBackground) 100%);
    background: linear-gradient(to bottom, var(--primaryCardBackground) 1%, var(--primaryCardBackground) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='<%=UIConstants.primaryCardBackground%>', endColorstr='<%=UIConstants.primaryCardBackground%>', GradientType=0);
    width: 100%;
    position: relative;
}
.boxy-banner-back {
    background: var(--bannerBgColor);
    z-index: -20;
    position: absolute;
    width: 101.5%;
    height: 55px;
    top:14px;
    left:-10px;
    border-radius: 4px;

}
.boxy-banner {
    background: var(--bannerBgColor);
    background-image: linear-gradient(bottom, var(--bannerBgColor) 34%, var(--bannerBgColor) 52%, var(--bannerBgColor) 63%);
    background-image: -o-linear-gradient(bottom, var(--bannerBgColor) 34%, var(--bannerBgColor) 52%, var(--bannerBgColor) 63%);
    background-image: -moz-linear-gradient(bottom, var(--bannerBgColor) 34%, var(--bannerBgColor) 52%, var(--bannerBgColor) 63%);
    background-image: -webkit-linear-gradient(bottom, var(--bannerBgColor) 34%, var(--bannerBgColor) 52%, var(--bannerBgColor) 63%);
    background-image: -ms-linear-gradient(bottom, var(--bannerBgColor) 34%, var(--bannerBgColor) 52%, var(--bannerBgColor) 63%);

    background-image: -webkit-gradient(
            linear,
            left bottom,
            left top,
            color-stop(0.34, var(--bannerBgColor)),
            color-stop(0.52, var(--bannerBgColor)),
            color-stop(0.63, var(--bannerBgColor))
    );
    position: absolute;
    width: 100.5%;
    height: 50px;
    left:-3px;
    top:14px;
    box-shadow:  0 10px 4px -6px rgba(0,0,0, .2);
    border-radius: 4px 4px 0 0;
}
.boxy-banner p{
    color: var(--bannerTextColor);
    font-family: arial;
    font-size: 18px;
    line-height: 18px;
    font-weight: bold;
    text-shadow: -2px 2px 2px rgba(0,0,0, .2);
    padding:17px 53px;
}
#reportrangeinput{
    font-weight: bold;
}
